class About < Qt::Dialog
    def initialize(parent=nil)
        super(parent)
        m="Interprete de lenguaje Timba\n\n" +
          "Copyright (C) 2016  Nicolas Guzzo\n\n"+
          "This program is free software; you can redistribute it and/or\n"+
          "modify it under the terms of the GNU General Public License\n"+
          "as published by the Free Software Foundation; either version 2\n"+
          "of the License, or (at your option) any later version.\n\n"+                   
          "This program is distributed in the hope that it will be useful,\n"+
          "but WITHOUT ANY WARRANTY; without even the implied warranty of\n"+
          "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"+
          "GNU General Public License for more details.\n\n"+                   
          "You should have received a copy of the GNU General Public License\n"+
          "along with this program; if not, write to the Free Software\n"+
          "Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA."
        tabWidget = Qt::TabWidget.new
        tabWidget.addTab(Qt::Label.new(tr(m)), tr("General"))        
        lic=Qt::PlainTextEdit.new()
        lic.plainText=File.open("LICENSE.txt","r").read
        lic.setReadOnly(true)

        tabWidget.addTab(lic, tr("License"))
        okButton = Qt::PushButton.new(tr("OK"))
		connect(okButton, SIGNAL('clicked()'), self, SLOT('accept()'))
          
        self.layout = Qt::VBoxLayout.new do |m|
            m.addWidget(tabWidget)
            m.addWidget(okButton)
        end
	    setModal(true)
	    self.windowTitle = tr("Tab Dialog")
    end
end